nray.h File Reference

Provides a fast class for rational rays rooted at the origin. More...

`#include "regina-core.h"`
`#include "maths/ninteger.h"`
`#include "maths/nvector.h"`

## Classes

class | regina::NRay
| A fast class for storing a ray rooted at the origin whose coordinates are rational. More...

## Namespaces

| regina
| Contains the entire Regina calculation engine.

## Detailed Description

Provides a fast class for rational rays rooted at the origin.

Copyright © 1999-2013, The Regina development team
This software is released under the GNU General Public License, with some additional permissions; see the source code for details.
For further information, or to submit a bug or other problem, please contact Ben Burton (bab@debian.org).